UNIQ(1)

NAVN
uniq - report or omit repeated lines

OVERSIKT
uniq [VALG]... [INNDATA [OUTDATA]]

BESKRIVELSE

Filtrer nærliggende samsvarende linjer ut av INNDATA (eller standard inndata), og skriv til UTDATA (eller standardutdata).

Hvis du ikke bruker noen av valgene, slåes samsvarende linjer sammen til første forekomst.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-c, --count
    Vis antall forekomster i begynnelsen av hver linje.

-d, --repeated
    Bare skriv ut duplikatlinjer (én per gruppe).

-D  Skriv ut alle dupliserte linjer.

--all-repeated[=METHOD]
    Likner -D, men holder grupper adskilt med tom linje; METODE={none(standard),prepend,separate}.

-f, --skip-fields=N
    Ikke sammenlikn de første N antall feltene.

--group[=METHOD]
    Vis alt, og skill mellom grupper med tomme linjer; METODE={separate(standard),prepend,append,both}.

-i, --ignore-case
    Ignorer små og store bokstaver ved sammenlikning.

-s, --skip-chars=N
    Ikke sammenlikn de første N antall tegnene.

-u, --unique
    Bare skriv ut unike linjer.

-z, --zero-terminated
    Skill mellom linjer med NUL i stedet for linjeskift.

-w, --check-chars=N
    Ikke sammenlikn flere enn N antall tegn per linje.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Et felt er en streng med tomrom (i form av mellomrom og/eller tabulator(er)), etterfulgt av tegn som ikke betyr tomrom. Programmet hopper over felt før tegn.

Merk: uniq oppdager ikke duplikatlinjer med mindre de ligger etter hverandre. Det kan være lurt å sortere inndata, f.eks. med «sort -u», i stedet for å bruke uniq.

FORFATTER
Skrevet av Richard M. Stallman og David MacKenzie.

RAPPORTERING AV FEIL
Rapporter feil til: bug-coreutils@gnu.org
Nettside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2026 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
comm(1), join(1), sort(1)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/uniq>
eller lokalt: info '(coreutils) uniq invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.